Subject: Re: [PATCH v2 2/2] rebase -i: improve error message when picking merge

From: Junio C Hamano <[email-masked]>
Date: Mon, 08 Apr 2024 22:08:24 -0700

Patrick Steinhardt <[email-masked]> writes:

> So I think it's okay to not mention the exact commit here because we
> cannot reliably second-guess the ultimate extent. My basic assumption is
> that in many cases the user may not even be aware of them trying to pick
> a merge commit, and that it may not have been their intent.

Hmph, if that assumption is really true, would suggesting "merge -C"
be the right thing in the first place?

I do not deal with non-linear stuff in "rebase -i" or sequencer, so
I may not be a good person to judge how good your basic assumption
is, though.

Thanks.